﻿package sudoku {
	import flash.display.Shape;
	import flash.display.Sprite;

	public class Background extends Sprite {
		// Draws the 5 gray squares which underlay the for corner boxes and the center bos
		// in the puzzle.
		//	xxxx	xxxx
		//	xxxx	xxxx
		//		xxxx
		//		xxxx
		//	xxxx	xxxx
		//	xxxx	xxxx
		//
		private var _left:Number;
		private var _top:Number;
		private var _size:Number;
		
		//	Parameters: 
		//		x, y -- top left corner of background area
		//		size -- width and height of square background area
		public function Background(x:Number, y:Number, size:Number):void
		{
			_top = y;
			_left = x;
			_size = size / 3;
			addSquare(0, 0);
			addSquare(0, 2);
			addSquare(2, 0);
			addSquare(2, 2);
			addSquare(1, 1);
		}

		private function addSquare(px:Number, py:Number):void
		{
			var rect:Shape = new Shape();
			rect.graphics.beginFill(0xeeeeee);
			rect.graphics.drawRect(_left + px*_size, _top + py*_size, _size, _size);
			rect.graphics.endFill();
			addChild(rect);
		}

	}
}