﻿package sudoku {
	import flash.display.Sprite;
	import fl.controls.Slider;
    import fl.controls.SliderDirection;
    import fl.events.SliderEvent;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFormatAlign;
	import flash.filters.GlowFilter;

	public class DiffSlider extends Sprite {
		private var _slider:Slider;
		private var _label:TextField;
		private var _format:TextFormat;
		
		private const labels:Array = ["Random", "Easy", "Medium", "Hard", "Very Hard"];
		private const labelColors:Array = [0x3366ff, 0x00ff00, 0xffff00, 0xff6600, 0xff0000];
		
		public function DiffSlider(xpos:Number, ypos:Number):void
		{
			x = xpos;
			y = ypos;
			
			_label = new TextField();
			_label.x = 0;
			_label.y = 0;
			_label.width = 60;
			_label.height = 18;
			
			_label.selectable = false;
			// set the text format
			_format = new TextFormat("Arial,Helvetica,Verdana", 11);
			_format.align = TextFormatAlign.CENTER;
			_label.defaultTextFormat = _format;
			addChild(_label);			

			_slider = new Slider();
			_slider.move(0, 18);
			_slider.setSize(60, 3);
			_slider.maximum = 4;
			_slider.minimum = 0;
			_slider.tickInterval = 1;
			_slider.liveDragging = true;
			_slider.snapInterval = 1;
	        _slider.direction = SliderDirection.HORIZONTAL;
			_slider.value = 0;
			_slider.addEventListener(SliderEvent.CHANGE, onSliderChange);
			
			addChild(_slider);			
			
			value = 2;
		}
		
		public function get value():Number {
			return _slider.value;
		}
		
		public function set value(val:Number):void {
			_slider.value = val;
			_label.text = labels[_slider.value];
			_label.filters = [new GlowFilter(labelColors[_slider.value], .5, 18, 12, 5)  ];
		}
		
		private function onSliderChange(event:SliderEvent):void {
			_label.text = labels[_slider.value];
			_label.filters = [new GlowFilter(labelColors[_slider.value], .5, 18, 12, 5)  ];
		}
	}
}